URLInputReader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.io
Class URLInputReader

    java.lang.Object
      com.bbn.openmap.io.StreamInputReader
          com.bbn.openmap.io.URLInputReader

All Implemented Interfaces:
  InputReader

    public class URLInputReader

extends StreamInputReader

An InputReader to handle files at a URL.

Field Summary
`protected java.net.URL` | `inputURL` Where to go to hook up with a resource.

Fields inherited from class com.bbn.openmap.io.StreamInputReader
`inputStream, inputStreamCount, name`

Constructor Summary
`URLInputReader(java.net.URL url)` Construct a URLInputReader from a URL.

Method Summary
`void` | `reopen()` Reset the InputStream to the beginning, by closing the current connection and reopening it.

Methods inherited from class com.bbn.openmap.io.StreamInputReader
`available, close, count, getFilePointer, getName, length, read, read, read, readBytes, seek, skipBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputURL

    protected java.net.URL inputURL

  Where to go to hook up with a resource.

Constructor Detail

### URLInputReader

    public URLInputReader(java.net.URL url)
                   throws java.io.IOException

  Construct a URLInputReader from a URL.

  Throws:
    `java.io.IOException`

Method Detail

### reopen

    public void reopen()
                throws java.io.IOException

  Reset the InputStream to the beginning, by closing the current connection and reopening it.

  Overrides:
    `reopen` in class `StreamInputReader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details